| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
uiSeisPartServer Class Reference
uiSeis

Seismic User Interface Part Server. More...

`#include <uiseispartserv.h>`

Inheritance diagram for uiSeisPartServer:
[legend]

## Public Member Functions
| uiSeisPartServer (uiApplService &)
| ~uiSeisPartServer ()
bool | create2DOutput (const MultiID &, const char *linekey, TrcKeyZSampling &, SeisTrcBuf &)
bool | create2DOutput (const MultiID &, const Pos::GeomID &, TrcKeyZSampling &, SeisTrcBuf &)
void | createMultiCubeDataStore () const
void | exportCubePos (const MultiID *=nullptr)
bool | exportLinesToGIS (uiParent *, const TypeSet< Pos::GeomID > *=nullptr)
bool | exportSeis (int opt)
void | exportWavelets ()
void | fillPar (IOPar &) const
void | get2DZdomainAttribs (const char *linenm, const char *zdomainstr, BufferStringSet &attribs)
void | get2DZdomainAttribs (const Pos::GeomID &, const char *zdomainstr, BufferStringSet &attribs)
MultiID | getDefaultDataID (bool is2d) const
void | getStoredGathersList (bool for3d, BufferStringSet &) const
bool | importSeis (int opt)
void | importWavelets ()
void | managePreLoad ()
void | manageSeismics (int opt, bool modal=false)
void | manageWavelets ()
const char * | name () const override
void | processTime2Depth (bool is2d=false) const
void | processVelConv () const
bool | select2DLines (TypeSet< Pos::GeomID > &, int &action)
bool | select2DSeis (MultiID &)
void | storeRlnAs2DLine (const Geometry::RandomLine &) const
bool | usePar (const IOPar &)
Public Member Functions inherited from uiApplPartServer
| ~uiApplPartServer ()
uiApplService & | appserv ()
const uiApplService & | appserv () const
| mOD_DisableCopy (uiApplPartServer) virtual const char *name() const =0
void | setParent (uiParent *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static void | get2DStoredAttribs (const char *linenm, BufferStringSet &attribs, int steerpol=2)
static void | get2DStoredAttribs (const Pos::GeomID &, BufferStringSet &attribs, int steerpol=2)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | create2DLineGISExportBut (CallBacker *)
void | exportToGISCB (CallBacker *)
MultiID | getDefault2DDataID () const
bool | ioSeis (int, bool)
void | survChangedCB (CallBacker *)
Protected Member Functions inherited from uiApplPartServer
| uiApplPartServer (uiApplService &)
void * | getObject (int objid) const
uiParent * | parent () const
bool | sendEvent (int evid) const

## Protected Attributes
uiSeisIOSimple * | exp2dseisdlg_ = nullptr
uiSeisIOSimple * | exp3dseisdlg_ = nullptr
uiSeisExpCubePositionsDlg * | expcubeposdlg_ = nullptr
uiSeisIOSimple * | expps2dseisdlg_ = nullptr
uiSeisIOSimple * | expps3dseisdlg_ = nullptr
uiSeisWvltExp * | expwvltdlg_ = nullptr
uiGISExport2DLines * | gisexp2dlinesdlg_ = nullptr
uiSeisIOSimple * | imp2dseisdlg_ = nullptr
uiSeisIOSimple * | imp3dseisdlg_ = nullptr
uiSeisImportCBVS * | impcbvsdlg_ = nullptr
uiSeisImpCBVSFromOtherSurveyDlg * | impcbvsothsurvdlg_ = nullptr
uiSeisIOSimple * | impps2dseisdlg_ = nullptr
uiSeisIOSimple * | impps3dseisdlg_ = nullptr
uiSeisWvltImp * | impwvltdlg_ = nullptr
uiSeisPreStackMan * | man2dprestkdlg_ = nullptr
uiSeisFileMan * | man2dseisdlg_ = nullptr
uiSeisPreStackMan * | man3dprestkdlg_ = nullptr
uiSeisFileMan * | man3dseisdlg_ = nullptr
uiSeisWvltMan * | manwvltdlg_ = nullptr
uiBatchTime2DepthSetup * | t2ddlgs2d_ = nullptr
uiBatchTime2DepthSetup * | t2ddlgs3d_ = nullptr

## Private Member Functions
uiString | mkDlgCaption (bool forread, bool is2d, bool isps)

## Detailed Description

Seismic User Interface Part Server.

<>

## Constructor & Destructor Documentation

## ◆ uiSeisPartServer()

uiSeisPartServer::uiSeisPartServer | ( | uiApplService & |  | ) |

## ◆ ~uiSeisPartServer()

uiSeisPartServer::~uiSeisPartServer | ( |  | ) |

## Member Function Documentation

## ◆ create2DLineGISExportBut()

void uiSeisPartServer::create2DLineGISExportBut | ( | CallBacker * |  | ) |
| protected

## ◆ create2DOutput() [1/2]

bool uiSeisPartServer::create2DOutput | ( | const MultiID & | ,
|  | const char * | linekey,
|  | TrcKeyZSampling & | ,
|  | SeisTrcBuf & | )

## ◆ create2DOutput() [2/2]

bool uiSeisPartServer::create2DOutput | ( | const MultiID & | ,
|  | const Pos::GeomID & | ,
|  | TrcKeyZSampling & | ,
|  | SeisTrcBuf & | )

## ◆ createMultiCubeDataStore()

void uiSeisPartServer::createMultiCubeDataStore | ( |  | ) | const

## ◆ exportCubePos()

void uiSeisPartServer::exportCubePos | ( | const MultiID * | = nullptr | ) |

## ◆ exportLinesToGIS()

bool uiSeisPartServer::exportLinesToGIS | ( | uiParent * | ,
|  | const TypeSet< Pos::GeomID > * | = nullptr )

## ◆ exportSeis()

bool uiSeisPartServer::exportSeis | ( | int | opt | ) |

## ◆ exportToGISCB()

void uiSeisPartServer::exportToGISCB | ( | CallBacker * |  | ) |
| protected

## ◆ exportWavelets()

void uiSeisPartServer::exportWavelets | ( |  | ) |

## ◆ fillPar()

void uiSeisPartServer::fillPar | ( | IOPar & |  | ) | const

## ◆ get2DStoredAttribs() [1/2]

static void uiSeisPartServer::get2DStoredAttribs | ( | const char * | linenm,
|  | BufferStringSet & | attribs,
|  | int | steerpol = 2 )
| static

## ◆ get2DStoredAttribs() [2/2]

static void uiSeisPartServer::get2DStoredAttribs | ( | const Pos::GeomID & | ,
|  | BufferStringSet & | attribs,
|  | int | steerpol = 2 )
| static

## ◆ get2DZdomainAttribs() [1/2]

void uiSeisPartServer::get2DZdomainAttribs | ( | const char * | linenm,
|  | const char * | zdomainstr,
|  | BufferStringSet & | attribs )

## ◆ get2DZdomainAttribs() [2/2]

void uiSeisPartServer::get2DZdomainAttribs | ( | const Pos::GeomID & | ,
|  | const char * | zdomainstr,
|  | BufferStringSet & | attribs )

## ◆ getDefault2DDataID()

MultiID uiSeisPartServer::getDefault2DDataID | ( |  | ) | const
| protected

## ◆ getDefaultDataID()

MultiID uiSeisPartServer::getDefaultDataID | ( | bool | is2d | ) | const

## ◆ getStoredGathersList()

void uiSeisPartServer::getStoredGathersList | ( | bool | for3d,
|  | BufferStringSet & | ) const

## ◆ importSeis()

bool uiSeisPartServer::importSeis | ( | int | opt | ) |

## ◆ importWavelets()

void uiSeisPartServer::importWavelets | ( |  | ) |

## ◆ ioSeis()

bool uiSeisPartServer::ioSeis | ( | int | ,
|  | bool | )
| protected

## ◆ managePreLoad()

void uiSeisPartServer::managePreLoad | ( |  | ) |

## ◆ manageSeismics()

void uiSeisPartServer::manageSeismics | ( | int | opt,
|  | bool | modal = false )

## ◆ manageWavelets()

void uiSeisPartServer::manageWavelets | ( |  | ) |

## ◆ mkDlgCaption()

uiString uiSeisPartServer::mkDlgCaption | ( | bool | forread,
|  | bool | is2d,
|  | bool | isps )
| private

## ◆ name()

const char * uiSeisPartServer::name | ( |  | ) | const
| inline override

## ◆ processTime2Depth()

void uiSeisPartServer::processTime2Depth | ( | bool | is2d = false | ) | const

## ◆ processVelConv()

void uiSeisPartServer::processVelConv | ( |  | ) | const

## ◆ select2DLines()

bool uiSeisPartServer::select2DLines | ( | TypeSet< Pos::GeomID > & | ,
|  | int & | action )

## ◆ select2DSeis()

bool uiSeisPartServer::select2DSeis | ( | MultiID & |  | ) |

## ◆ storeRlnAs2DLine()

void uiSeisPartServer::storeRlnAs2DLine | ( | const Geometry::RandomLine & |  | ) | const

## ◆ survChangedCB()

void uiSeisPartServer::survChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ usePar()

bool uiSeisPartServer::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ exp2dseisdlg_

uiSeisIOSimple* uiSeisPartServer::exp2dseisdlg_ = nullptr
| protected

## ◆ exp3dseisdlg_

uiSeisIOSimple* uiSeisPartServer::exp3dseisdlg_ = nullptr
| protected

## ◆ expcubeposdlg_

uiSeisExpCubePositionsDlg* uiSeisPartServer::expcubeposdlg_ = nullptr
| protected

## ◆ expps2dseisdlg_

uiSeisIOSimple* uiSeisPartServer::expps2dseisdlg_ = nullptr
| protected

## ◆ expps3dseisdlg_

uiSeisIOSimple* uiSeisPartServer::expps3dseisdlg_ = nullptr
| protected

## ◆ expwvltdlg_

uiSeisWvltExp* uiSeisPartServer::expwvltdlg_ = nullptr
| protected

## ◆ gisexp2dlinesdlg_

uiGISExport2DLines* uiSeisPartServer::gisexp2dlinesdlg_ = nullptr
| protected

## ◆ imp2dseisdlg_

uiSeisIOSimple* uiSeisPartServer::imp2dseisdlg_ = nullptr
| protected

## ◆ imp3dseisdlg_

uiSeisIOSimple* uiSeisPartServer::imp3dseisdlg_ = nullptr
| protected

## ◆ impcbvsdlg_

uiSeisImportCBVS* uiSeisPartServer::impcbvsdlg_ = nullptr
| protected

## ◆ impcbvsothsurvdlg_

uiSeisImpCBVSFromOtherSurveyDlg* uiSeisPartServer::impcbvsothsurvdlg_ = nullptr
| protected

## ◆ impps2dseisdlg_

uiSeisIOSimple* uiSeisPartServer::impps2dseisdlg_ = nullptr
| protected

## ◆ impps3dseisdlg_

uiSeisIOSimple* uiSeisPartServer::impps3dseisdlg_ = nullptr
| protected

## ◆ impwvltdlg_

uiSeisWvltImp* uiSeisPartServer::impwvltdlg_ = nullptr
| protected

## ◆ man2dprestkdlg_

uiSeisPreStackMan* uiSeisPartServer::man2dprestkdlg_ = nullptr
| protected

## ◆ man2dseisdlg_

uiSeisFileMan* uiSeisPartServer::man2dseisdlg_ = nullptr
| protected

## ◆ man3dprestkdlg_

uiSeisPreStackMan* uiSeisPartServer::man3dprestkdlg_ = nullptr
| protected

## ◆ man3dseisdlg_

uiSeisFileMan* uiSeisPartServer::man3dseisdlg_ = nullptr
| protected

## ◆ manwvltdlg_

uiSeisWvltMan* uiSeisPartServer::manwvltdlg_ = nullptr
| protected

## ◆ t2ddlgs2d_

uiBatchTime2DepthSetup* uiSeisPartServer::t2ddlgs2d_ = nullptr
| protected

## ◆ t2ddlgs3d_

uiBatchTime2DepthSetup* uiSeisPartServer::t2ddlgs3d_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025